Bug 83567 - Mesa 10.2.6 does not compile with llvm 3.5
Summary: Mesa 10.2.6 does not compile with llvm 3.5
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Other (show other bugs)
Version: 10.2
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-06 18:54 UTC by rconde01
Modified: 2014-09-08 16:24 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rconde01 2014-09-06 18:54:36 UTC
It appears the structure of llvm changed a bit in 3.5 and the Mesa scons scripts assume the old structure.
Comment 1 Vinson Lee 2014-09-06 19:07:46 UTC
(In reply to comment #0)
> It appears the structure of llvm changed a bit in 3.5 and the Mesa scons
> scripts assume the old structure.

Please post the output of the build error.
Comment 2 smoki 2014-09-06 19:31:45 UTC
 For me also does not build with autoconf too, seems like this one is missed for stable:

http://cgit.freedesktop.org/mesa/mesa/commit/src/gallium/auxiliary/gallivm/lp_bld_debug.cpp?id=564821c917f4a9d5a0de2ee77b90b0cd85e3d3a6
Comment 3 Vinson Lee 2014-09-06 19:34:46 UTC
Reproduced build error and confirmed that backporting 564821c917f4a9d5a0de2ee77b90b0cd85e3d3a6 to the 10.2 branch will fix the build error.

commit 564821c917f4a9d5a0de2ee77b90b0cd85e3d3a6
Author: Aaron Watry <awatry@gmail.com>
Date:   Fri Jun 20 19:13:30 2014 -0500

    gallivm: Fix build after LLVM commit 211259
    
    Signed-off-by: Aaron Watry <awatry@gmail.com>
    Reviewed-by: Tom Stellard <thomas.stellard@amd.com>
Comment 4 Emil Velikov 2014-09-08 16:24:17 UTC
Shame that we did not get this report prior to the 10.2.7 release :'(
Queued to the 10.2 branch. Should be out with mesa 10.2.8.

Thanks


bug/show.html.tmpl processed on Feb 24, 2017 at 03:39:20.
(provided by the Example extension).